<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Панель управления - Управление новостями');
$title->GetHeader();
if ($b['level'] < 4) {
header('location:/');
die();
}
echo '<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/administration/"style="text-decoration:none; color:white;"> Дата-центр</a> :: Управление новостями</div></div></div>';
$do = isset($_GET['do']) ? check($_GET['do']) : false;
switch($do) {
default:
echo '<div class="tile"><ul class="nav nav-pills nav-stacked"><li><a href="?do=add"><i class="zmdi zmdi-shuffle"></i> Добавить новость</a></ul></div>';
if (isset($_GET['del'])) {
DB::$dbs->query("DELETE FROM news WHERE id = ?", [abs((int)$_GET['del'])]);
header('location: ?');
}
$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM news");
if ($look ==0) {
err('Новостей нет!');
}
else {
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM news ORDER BY time DESC LIMIT $start,$num");
while($a = $sql->fetch()) {
echo '<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i> '.$a['name'].' ('.vr($a['time']).')</div></div></div><div class="list-group-item media">'.text($a['txt']).'<br/>Автор: '.Nick($a['user']).'<br/> <a href="?do=red&id='.$a['id'].'"class="btn btn-primary">Редактировать</a>  <a href="?del='.$a['id'].'"class="btn btn-primary">Удалить</a></div>';
}
}
if ($k_page>1) {
str('?', $k_page,$page);
}
break;
case 'add':
if (isset($_POST['add'])) {
$form = ['name' => isset($_POST['name']) ? check($_POST['name']) : null, 'text' => isset($_POST['text']) ? check($_POST['text']) : null];
if (mb_strlen($form['name']) < 5) {
err('Название должно быть не меньше 5 символов!');
} elseif (empty($form['text'])) {
err('Введите содержание новости!');
} else {
DB::$dbs->query("INSERT INTO news SET name = ?, txt = ?, time = ?, user = ?", [$form['name'],$form['text'],time(),$b['id']]);
header('location: ?');
}
}
echo '<div class="list-group-item media"><form action="#" method="post">Название:<br/><input type="text" class="form-control" name="name"/><br/>Содержание:<br/><br/>';
quickpaste('text');
quickpanel();
echo'<br/><br/><textarea class="form-control" rows="8" name="text"></textarea><br/><input type="submit" name="add" class="btn btn-primary" value="Отправить"/></div></form>';
break;
case 'red':
$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
$array = DB::$dbs->query("SELECT * FROM news WHERE id = ? LIMIT 1", [$id]);
if ($array->rowCount() == 0) {
header('location: ?');
die();
}
$arr = $array -> fetch();
if (isset($_POST['add'])) {
$form = ['name' => isset($_POST['name']) ? check($_POST['name']) : null, 'text' => isset($_POST['text']) ? check($_POST['text']) : null];
if (mb_strlen($form['name']) < 5) {
err('Название должно быть не меньше 5 символов!');
} elseif (empty($form['text'])) {
err('Введите содержание новости!');
} else {
DB::$dbs->query("UPDATE news SET name = ?, txt = ? WHERE id = ?", [$form['name'],$form['text'],$id]);
header('location: ?');
}
}
echo '<div class="list-group-item media"><form action="?do=red&id='.$id.'" method="post"> Название:<br/><input type="text" name="name" class="form-control" value="'.$arr['name'].'"/><br/>Содержание:<br/><br/>';
quickpaste('text');
quickpanel();
echo'<br/><br/><textarea class="form-control" rows="8" name="text">'.$arr['txt'].'</textarea><br/><input type="submit" name="add" class="btn btn-primary" value="Отправить"/></div></form>';
break;
}

$title->GetMenu();
$title->GetFooter();
?>